<div>
    <h2>
        <span jhiTranslate="mpmApp.detailKlaim.home.title">Detail Klaims</span>
        <button class="btn btn-primary float-right jh-create-entity create-detail-klaim" [routerLink]="['/', { outlets: { popup: ['detail-klaim-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.detailKlaim.home.createLabel">
            Create new Detail Klaim
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.detailKlaim.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="detailKlaims">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="iduser"><span jhiTranslate="mpmApp.detailKlaim.iduser">Iduser</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="notrans"><span jhiTranslate="mpmApp.detailKlaim.notrans">Notrans</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="bulan_program"><span jhiTranslate="mpmApp.detailKlaim.bulan_program">Bulan Program</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="no_klaim"><span jhiTranslate="mpmApp.detailKlaim.no_klaim">No Klaim</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_code"><span jhiTranslate="mpmApp.detailKlaim.cust_code">Cust Code</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_name"><span jhiTranslate="mpmApp.detailKlaim.cust_name">Cust Name</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="keterangan"><span jhiTranslate="mpmApp.detailKlaim.keterangan">Keterangan</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="nilai_value"><span jhiTranslate="mpmApp.detailKlaim.nilai_value">Nilai Value</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="nilai_acc"><span jhiTranslate="mpmApp.detailKlaim.nilai_acc">Nilai Acc</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="user_acc"><span jhiTranslate="mpmApp.detailKlaim.user_acc">User Acc</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="tgl_acc"><span jhiTranslate="mpmApp.detailKlaim.tgl_acc">Tgl Acc</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="giro_num"><span jhiTranslate="mpmApp.detailKlaim.giro_num">Giro Num</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="giro_date"><span jhiTranslate="mpmApp.detailKlaim.giro_date">Giro Date</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="giro_val"><span jhiTranslate="mpmApp.detailKlaim.giro_val">Giro Val</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="cust_pnpwp"><span jhiTranslate="mpmApp.detailKlaim.cust_pnpwp">Cust Pnpwp</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="item_code"><span jhiTranslate="mpmApp.detailKlaim.item_code">Item Code</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="qtyitem"><span jhiTranslate="mpmApp.detailKlaim.qtyitem">Qtyitem</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="satuan"><span jhiTranslate="mpmApp.detailKlaim.satuan">Satuan</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="no_klaimDist"><span jhiTranslate="mpmApp.detailKlaim.no_klaimDist">No Klaim Dist</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="no_klaimDist1"><span jhiTranslate="mpmApp.detailKlaim.no_klaimDist1">No Klaim Dist 1</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="tgl_klaimDist"><span jhiTranslate="mpmApp.detailKlaim.tgl_klaimDist">Tgl Klaim Dist</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="bln_perDist"><span jhiTranslate="mpmApp.detailKlaim.bln_perDist">Bln Per Dist</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="thn_perDist"><span jhiTranslate="mpmApp.detailKlaim.thn_perDist">Thn Per Dist</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="sltr_num"><span jhiTranslate="mpmApp.detailKlaim.sltr_num">Sltr Num</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="GIRO_CODE"><span jhiTranslate="mpmApp.detailKlaim.GIRO_CODE">GIRO CODE</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="qtyunit"><span jhiTranslate="mpmApp.detailKlaim.qtyunit">Qtyunit</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="giro_unit"><span jhiTranslate="mpmApp.detailKlaim.giro_unit">Giro Unit</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="UserAPPV"><span jhiTranslate="mpmApp.detailKlaim.UserAPPV">User APPV</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="UserAPPV2"><span jhiTranslate="mpmApp.detailKlaim.UserAPPV2">User APPV 2</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="UserAPPV3"><span jhiTranslate="mpmApp.detailKlaim.UserAPPV3">User APPV 3</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="stsAPPV"><span jhiTranslate="mpmApp.detailKlaim.stsAPPV">Sts APPV</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="stsAPPV2"><span jhiTranslate="mpmApp.detailKlaim.stsAPPV2">Sts APPV 2</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="stsAPPV3"><span jhiTranslate="mpmApp.detailKlaim.stsAPPV3">Sts APPV 3</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="ketbns"><span jhiTranslate="mpmApp.detailKlaim.ketbns">Ketbns</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let detailKlaim of detailKlaims ;trackBy: trackId">
                <td><a [routerLink]="['../detail-klaim', detailKlaim.id ]">{{detailKlaim.id}}</a></td>
                <td>{{detailKlaim.iduser}}</td>
                <td>{{detailKlaim.notrans}}</td>
                <td>{{detailKlaim.bulan_program}}</td>
                <td>{{detailKlaim.no_klaim}}</td>
                <td>{{detailKlaim.cust_code}}</td>
                <td>{{detailKlaim.cust_name}}</td>
                <td>{{detailKlaim.keterangan}}</td>
                <td>{{detailKlaim.nilai_value}}</td>
                <td>{{detailKlaim.nilai_acc}}</td>
                <td>{{detailKlaim.user_acc}}</td>
                <td>{{detailKlaim.tgl_acc}}</td>
                <td>{{detailKlaim.giro_num}}</td>
                <td>{{detailKlaim.giro_date}}</td>
                <td>{{detailKlaim.giro_val}}</td>
                <td>{{detailKlaim.cust_pnpwp}}</td>
                <td>{{detailKlaim.item_code}}</td>
                <td>{{detailKlaim.qtyitem}}</td>
                <td>{{detailKlaim.satuan}}</td>
                <td>{{detailKlaim.no_klaimDist}}</td>
                <td>{{detailKlaim.no_klaimDist1}}</td>
                <td>{{detailKlaim.tgl_klaimDist}}</td>
                <td>{{detailKlaim.bln_perDist}}</td>
                <td>{{detailKlaim.thn_perDist}}</td>
                <td>{{detailKlaim.sltr_num}}</td>
                <td>{{detailKlaim.GIRO_CODE}}</td>
                <td>{{detailKlaim.qtyunit}}</td>
                <td>{{detailKlaim.giro_unit}}</td>
                <td>{{detailKlaim.UserAPPV}}</td>
                <td>{{detailKlaim.UserAPPV2}}</td>
                <td>{{detailKlaim.UserAPPV3}}</td>
                <td>{{detailKlaim.stsAPPV}}</td>
                <td>{{detailKlaim.stsAPPV2}}</td>
                <td>{{detailKlaim.stsAPPV3}}</td>
                <td>{{detailKlaim.ketbns}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../detail-klaim', detailKlaim.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'detail-klaim/'+ detailKlaim.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'detail-klaim/'+ detailKlaim.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="detailKlaims && detailKlaims.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
